{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}{% paginate search.results by 10 %}

<div class="page-width">
  {% if search.results_count == 0 or search.performed == false %}
    <div class="empty-page-content text-center">
      <h1 class="h2">{% comment %}ly_i18n_replace_for_[ 'general.search.title' | t ]_begin{% endcomment %}{% capture ly_template %}{{ 'general.search.title' | t }}{% endcapture %}{% include 'ly-static-string' with '10725745' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% comment %}ly_i18n_replace_end{% endcomment %}</h1>
  {% else %}
    <div class="section-header text-center">
      <h1 class="h2">{% comment %}ly_i18n_replace_for_[ 'general.search.results_with_count' | t: terms: search.terms, count: search.results_count ]_begin{% endcomment %}{% if search.results_count  == 0 %}{% capture ly_template %}{{ 'general.search.results_with_count' | t: terms: search.terms, count: search.results_count }}{% endcapture %}{% include 'ly-static-string' with '10725747' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% assign replacement = search.terms %}{% assign ly_template = ly_template | replace: '[[terms]]', replacement %}{% assign replacement = search.results_count  %}{% assign ly_template = ly_template | replace: '[[count]]', replacement %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% elsif search.results_count  == 1 %}{% capture ly_template %}{{ 'general.search.results_with_count' | t: terms: search.terms, count: search.results_count }}{% endcapture %}{% include 'ly-static-string' with '10725746' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% assign replacement = search.terms %}{% assign ly_template = ly_template | replace: '[[terms]]', replacement %}{% assign replacement = search.results_count  %}{% assign ly_template = ly_template | replace: '[[count]]', replacement %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% elsif search.results_count  == 2 %}{% capture ly_template %}{{ 'general.search.results_with_count' | t: terms: search.terms, count: search.results_count }}{% endcapture %}{% include 'ly-static-string' with '10725747' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% assign replacement = search.terms %}{% assign ly_template = ly_template | replace: '[[terms]]', replacement %}{% assign replacement = search.results_count  %}{% assign ly_template = ly_template | replace: '[[count]]', replacement %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% else %}{% capture ly_template %}{{ 'general.search.results_with_count' | t: terms: search.terms, count: search.results_count }}{% endcapture %}{% include 'ly-static-string' with '10725747' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% assign replacement = search.terms %}{% assign ly_template = ly_template | replace: '[[terms]]', replacement %}{% assign replacement = search.results_count  %}{% assign ly_template = ly_template | replace: '[[count]]', replacement %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% endif %}{% comment %}ly_i18n_replace_end{% endcomment %}</h1>
  {% endif %}
        <div class="grid">
          <div class="grid__item medium-up--two-fifths medium-up--push-three-tenths">
            <form action="/search" method="get" role="search" class="search">
              <div class="input-group">
                <input type="search"
                  id="SearchInput"
                  class="input-group__field search__input"
                  name="q"
                  value="{{ search.terms | escape }}"
                  placeholder="{% comment %}ly_i18n_replace_for_[ 'general.search.placeholder' | t ]_begin{% endcomment %}{% capture ly_template %}{{ 'general.search.placeholder' | t }}{% endcapture %}{% include 'ly-static-string' with '10725751' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% comment %}ly_i18n_replace_end{% endcomment %}"
                  aria-label="{% comment %}ly_i18n_replace_for_[ 'general.search.placeholder' | t ]_begin{% endcomment %}{% capture ly_template %}{{ 'general.search.placeholder' | t }}{% endcapture %}{% include 'ly-static-string' with '10725751' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% comment %}ly_i18n_replace_end{% endcomment %}"
                  autofocus>
                <span class="input-group__btn">
                  <button class="btn search__submit" type="submit">{% comment %}ly_i18n_replace_for_[ 'general.search.submit' | t ]_begin{% endcomment %}{% capture ly_template %}{{ 'general.search.submit' | t }}{% endcapture %}{% include 'ly-static-string' with '10725752' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% if escape_content %}{{ ly_template | escape}}{% else %}{{ ly_template }}{% endif %}{% comment %}ly_i18n_replace_end{% endcomment %}</button>
                </span>
              </div>
            </form>
          </div>
        </div>

        {% if search.performed and search.results_count == 0 %}
          <hr class="hr--small hr--invisible">
          <p>{% comment %}ly_i18n_replace_for_[ 'general.search.no_results_html' | t: terms: search.terms ]_begin{% endcomment %}{% capture ly_template %}{{ 'general.search.no_results_html' | t: terms: search.terms }}{% endcapture %}{% include 'ly-static-string' with '10725754' %}{% if ly_translation %}{% assign escape_content = true %}{% assign ly_template = ly_translation %}{% else %}{% assign escape_content = false %}{% endif %}{% assign replacement = search.terms  %}{% assign ly_template = ly_template | replace: '[[terms]]', replacement %}{% if escape_content %}{{ ly_template}}{% else %}{{ ly_template }}{% endif %}{% comment %}ly_i18n_replace_end{% endcomment %}</p>
        {% endif %}
  </div>
</div>


{% if search.performed %}
  {% if search.results_count > 0 %}
    <hr>
  {% endif %}
  <div class="page-width list-view-items">
    {% for item in search.results %}
      <a href="{{ item.url }}" class="list-view-item">
        {% if item.object_type == 'product' %}
          {% include 'product-card-list', product: item %}
        {% else %}
          {% if item.image %}
            <div class="list-view-item__image-column">
              <div class="list-view-item__image-wrapper">
                <img class="list-view-item__image" src="{{ item.image.src | img_url: '600x600' }}" alt="{{ item.image.alt | escape }}">
              </div>
            </div>
          {% endif %}

          <div class="list-view-item__title-column">
            <div class="list-view-item__title">{% comment %}ly_code_replace_for_[ item.title ]_begin{% endcomment %}{% include 'ly-title' with item %}{{ ly_translation }}{% comment %}ly_code_replace_end{% endcomment %}</div>
            <div class="">
              {% if item.published_at %}{{ item.published_at | date: "%b %d, %Y" }} — {% endif %}
              {% comment %}ly_code_replace_for_[ item.content | strip_html | truncate: 200 ]_begin{% endcomment %}{% include 'ly-content' with item %}{{ ly_translation | strip_html | truncate: 200 }}{% comment %}ly_code_replace_end{% endcomment %}
            </div>
          </div>
        {% endif %}
      </a>
    {% endfor %}
  </div>

  {% if paginate.pages > 1 %}
    {% include 'pagination' %}
  {% endif %}
{% endif %}

{% endpaginate %}
